Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.able
Interface Heightable

All Superinterfaces:
  Delegateable

All Known Subinterfaces:
  Scrollable, Sizeable

All Known Implementing Classes:
  AbleComponent, BalloonHelp, ButtonEx, Calculator, CalculatorField, ColorChooser, ComboBox, ContainerEx, DateChooser, DateField, DefaultTabModel.TabButton, DisplayLayoutData, DropDown, EditableLabelEx, ExpandableSection, GroupBox, ImageIcon, ImageMap, LabelEx, ListSection, LiveTable, Menu, MenuBar, MenuButton, MenuItem, PopUp, ProgressBar, PushButton, RichTextArea, ScrollableDisplayLayoutData, Slider, Strut, TabbedPane, TemplatePanel, TitleBar, Tree

    public interface Heightable

extends Delegateable

A `Heightable` is a component that can have a a fixed height in some specified units. These dimensions are acheived done via setting Extents.

If the Extent properties, are set to either Integer.MAX_VALUE or Integer.MIN_VALUE, then it will not be taken into effect when rendering the component. Also if they are null, then then it will not be taken into effect when rendering the component

Field Summary
`static java.lang.String` | `PROPERTY_HEIGHT`

Method Summary
`Extent` | `getHeight()` Retutns the height extent of the `Heightable`.
`void` | `setHeight(Extent newValue)` Sets the height extent of the `Heightable`.

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Field Detail

### PROPERTY_HEIGHT

    static final java.lang.String PROPERTY_HEIGHT

See Also:
  Constant Field Values

Method Detail

### getHeight

    Extent getHeight()

  Retutns the height extent of the `Heightable`.

  Returns:
    the height extent of the `Heightable`.

### setHeight

    void setHeight(Extent newValue)

  Sets the height extent of the `Heightable`.

  Parameters:
    `newValue` - - the new height extent of the `Heightable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD